### Method

# Foundry DocumentationManager query

#### Declaration [src]

    DexFuture*
    foundry_documentation_manager_query (
      FoundryDocumentationManager* self,
      FoundryDocumentationQuery* query
    )

#### Description [src]

Consumers can call `foundry_documentation_matches_await()` to get a future that will complete when all matches have been populated.

#### Parameters

`query`

  Type: `FoundryDocumentationQuery`

  A `FoundryDocumentationQuery`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to [Foundry.DocumentationMatches].

The caller of the method takes ownership of the returned data, and is responsible for freeing it.